Subject: Re: bug#62700: 29.0.60; minibuffer-{previous,next,choose}-completion behave unintuitively when point is not at end of buffer

From: Juri Linkov <[email-masked]>
Date: Tue, 13 Jun 2023 19:54:04 +0300

>> > but today I merged from emacs-29 to master and got conflicts in
>> > minibuffer.el.  The conflicts were strange: they seemed to be caused
>> > by gitmerge.el attempting to merge backported changes?  That should
>> > not happen.
>>
>> The merge conflict occurred because the first commit e338a8ac41d
>> was pushed to emacs-29 with the keyword "backport", but 2a84ab905c8
>> without any keyword that would prevent an attempt of its merge to master.
>>
>> > Would you please look at minibuffer.el on the master branch and see if
>> > anything there needs fixing?
>>
>> I checked that no problems occurred in minibuffer.el on the master branch.
>
> Thanks.  I wasn't sure that my manual resolution of the merge conflict
> in this case was correct.

I looked at the patch that should be pushed to master, and noticed
that probably it needs the same change that was applied in emacs-29.
Maybe Spencer could confirm what would be the right patch for master.